от
Пытаюсь установить пакеты R при построении образов Docker, но не удается установить стринги. Строки в файла Docker следующим образом:
Sys.setenv(https_proxy='http://:8080')    
RUN R 

Выдержки из лог-файла:


попытка URL-адрес
'https://mran.microsoft.com/snapshot/2019-07-04/src/contrib/stringi_1.4.3.tar.gz'
Применение тип содержимого '/октет-поток' длина 7290890 байт (7.0 МБ)
================================================== скачал 7.0 МБ


установка пакетов с исходным кодом 'стринги' ...
** пакет 'стринги' успешно распаковал и проверил MD5 сумму
** используя поэтапную установку


*** Доступные ICU4C не может быть использован проверять ли мы можем составить src/icu61/common/putil.cpp... да проверять ли мы можем составить
СРЦ/icu61/i18n/number_affixutils.cpp да проверить, можно ли
принести icudt... загрузкой библиотеки данных ОИТ (icudt) пути выхода:
icu61/data/icudt61l.zip попытка URL-адрес
'ошибка http://www.ibspan.waw.pl/~gagolews/stringi/icudt61l.zip в
скачать.файл(вставить(с href, имени, сентября = ""), icudtzipfname, режим =
"ВБ"): не удается открыть URL-адрес
'http://www.ibspan.waw.pl/~gagolews/stringi/icudt61l.zip'

попытка URL-адрес
'https://raw.githubusercontent.com/gagolews/stringi/master/src/icu61/data/icudt61l.zip'
Ошибка в загрузке.файл(вставить(с href, имени, сентября = ""), icudtzipfname,
режим = "ВБ"): не удается открыть URL-адрес
'https://raw.githubusercontent.com/gagolews/stringi/master/src/icu61/data/icudt61l.zip'

попытка URL-адрес 'http://www.gagolewski.com/software/stringi/icudt61l.zip'
Ошибка в загрузке.файл(вставить(с href, имени, сентября = ""), icudtzipfname,
режим = "ВБ"): не удается открыть URL-адрес
'http://www.gagolewski.com/software/stringi/icudt61l.zip'
>
6: в
скачать.файл(вставить(с href, имени, сентября = ""), icudtzipfname, режим =
"ВБ") : URL-адрес
'http://www.gagolewski.com/software/stringi/icudt61l.zip': статус
'Не удалось подключиться к серверу' выполнение остановлено
*** скачать icudt не удалось. остановки. Ошибка: сбой настройки для пакета 'стринги'

Ошибка: reshape2 зависимость недоступен для пакета 'ggplot2'
* удаление 'в/usr/lib64/Р/библиотеки/ggplot2' 

Ошибка: зависимость 'стринги' не доступен для сантехник пакет''
* удаление 'в/usr/lib64/Р/библиотеки/сантехник' 


Мне интересно, является ли это проблема с операционной системой / zip-файл?
Докер основного изображения CentOS и я не уверен, как создать воспроизводимый пример я взять образ из компании .файл tar.

Ваш ответ

Отображаемое имя (по желанию):
Конфиденциальность: Ваш электронный адрес будет использоваться только для отправки уведомлений.
Анти-спам проверка:
Чтобы избежать проверки в будущем, пожалуйста войдите или зарегистрируйтесь.
...